<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [createCorporation](./bitburner.corporation.createcorporation.md)

## Corporation.createCorporation() method

Create a Corporation. You should use [canCreateCorporation](./bitburner.corporation.cancreatecorporation.md) to check if you are unsure you can do it, because it throws an error in these cases:

- Use seed money outside BitNode 3.

- Be in a BitNode that has CorporationSoftcap (a BitNode modifier) less than 0.15.

**Signature:**

```typescript
createCorporation(corporationName: string, selfFund?: boolean): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  corporationName | string | Name of the corporation. It must be a non-empty string. |
|  selfFund | boolean | _(Optional)_ If you want to self-fund. Defaults to true, false will only work in BitNode 3. |

**Returns:**

boolean

true if created and false if not

## Remarks

RAM cost: 20 GB

